﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebRole1._Default" %>


<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">

    <script type="text/javascript" src="Scripts/connectcode-javascript-code128auto.js"></script>

    <STYLE TYPE="text/css" media="screen,print">
      @font-face {
        font-family: CCode128_S3_Trial;
        src: url("Fonts/ConnectCode128_S3_Trial.eot");
        src: local("CCode128_S3_Trial"), url("Fonts/ConnectCode128_S3_Trial.otf") format("opentype"), url("Fonts/ConnectCode128_S3_Trial.woff") format("woff");
      }

      #javascriptbarcode {font-weight: normal; font-style: normal; line-height:normal; font-family: 'CCode128_S3_Trial', sans-serif; font-size: 32px}

    </STYLE>

    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1><%: Title %>.</h1>
                <h2>Modify this template to jump-start your ASP.NET application.</h2>
            </hgroup>

            <p>
                To learn more about ASP.NET, visit <a href="http://asp.net" title="ASP.NET Website">http://asp.net</a>.
                The page features <mark>videos, tutorials, and samples</mark> to help you get the most from ASP.NET.
                If you have any questions about ASP.NET visit
                <a href="http://forums.asp.net/18.aspx" title="ASP.NET Forum">our forums</a>.
            </p>
        </div>
    </section>
</asp:Content>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <h3>Barcode encoded with ASP Code-behind:</h3>
    <br />
    Input : 12345678<br />
    Barcode : Code128<br />
    Check Digit : N.A.<br />
    Font Name : ConnectCode128_S3_Trial<br /><br />
    Output : <br /><br />

    <div style="width:5in;text-align:center">
        <div id="barcode" runat ="server">123456789</div>
        <div id="barcode_text" runat ="server"></div>
    </div>
    <br /><br />
    <i>Note : The trial font will add a few horizontal lines to the barcode.</i>

    <h3>Barcode encoded with Javascript:</h3>
    <br />
    Input : 12345678<br />
    Barcode : Code128<br />
    Check Digit : N.A.<br />
    Font Name : ConnectCode128_S3_Trial<br /><br />
    Output : <br /><br />

    <div style="width:5in;text-align:center">
        <div id="javascriptbarcode">12345678</div>
        <div id="javascriptbarcode_text"></div>
    </div>
    <br /><br />
    <i>Note : The trial font will add a few horizontal lines to the barcode.</i>

    <script type="text/javascript">

        function get_object(id) {
            var object = null;
            if (document.layers) {
                object = document.layers[id];
            } else if (document.all) {
                object = document.all[id];
            } else if (document.getElementById) {
                object = document.getElementById(id);
            }
            return object;
        }

        get_object("javascriptbarcode").innerHTML = ConnectCode_Encode_Code128Auto(get_object("javascriptbarcode").innerHTML, 1);
        get_object("javascriptbarcode_text").innerHTML = Get_HRText();
    </script>

    <h3>Useful information</h3>
    <br />
    More Information on the Barcode Web Fonts<br />
    <a href=http://www.barcoderesource.com/barcodewebfont.shtml>http://www.barcoderesource.com/barcodewebfont.shtml</a>
    <br /><br />
    Directory containing all the different types of Barcode Web Fonts<br />
    &lt;ConnectCode Barcode Fonts Directory>\Resource\webfonts\javascript\&lt;type of barcode>\fonts
    <br /><br />
    Directory containing the Javascripts for Encoding<br />
    &lt;ConnectCode Barcode Fonts Directory>\Resource\webfonts\javascript\&lt;type of barcode>\fonts
    <br /><br />
    Directory containing the jQuery scripts for Encoding<br />
    &lt;ConnectCode Barcode Fonts Directory>\Resource\webfonts\jQuery\&lt;type of barcode>\fonts
    <br /><br />
    Directory containing the ASP Code-Behind DLL Encoding Library<br />
    &lt;ConnectCode Barcode Fonts Directory>\Resource\Net DLL Integration Samples\.Net4.0

    <br /><br />
    Encoding (generating barcodes) with Javascript or jQuery<br />
    <a href=http://www.barcoderesource.com/customizingbarcodewebfonts.shtml>http://www.barcoderesource.com/customizingbarcodewebfonts.shtml</a>
    <br /><br />
    Encoding (generating barcodes) with ASP Code-Behind DLL Encoding Library<br />
    <a href=http://www.barcoderesource.com/dotNetDLLBarcodeFonts.shtml>http://www.barcoderesource.com/dotNetDLLBarcodeFonts.shtml</a>

    <h3>We suggest the following:</h3>
    <ol class="round">
        <li class="one">
            <h5>Getting Started</h5>
            ASP.NET Web Forms lets you build dynamic websites using a familiar drag-and-drop, event-driven model.
            A design surface and hundreds of controls and components let you rapidly build sophisticated, powerful UI-driven sites with data access.
            <a href="http://go.microsoft.com/fwlink/?LinkId=245146">Learn more…</a>
        </li>
        <li class="two">
            <h5>Add NuGet packages and jump-start your coding</h5>
            NuGet makes it easy to install and update free libraries and tools.
            <a href="http://go.microsoft.com/fwlink/?LinkId=245147">Learn more…</a>
        </li>
        <li class="three">
            <h5>Find Web Hosting</h5>
            You can easily find a web hosting company that offers the right mix of features and price for your applications.
            <a href="http://go.microsoft.com/fwlink/?LinkId=245143">Learn more…</a>
        </li>
    </ol>
</asp:Content>
